/*
PET CARE PROJECT
CEX ANALYSIS

THIS DO FILE STARTS WITH HOUSEHOLD-YEAR SPENDING FILE, COLLAPSES IT BY YEAR
AND PRODUCES UNDERLYING DATA FOR FIGURE 1 OF THE PAPER (FIG 1)
*/

#delimit;
clear all;
set more off;
cd "$new";

use cexfile, clear;

*Collapse to year level spending by category;
collapse (mean) hcan hcanrl totpetan totpetanrl vetanrl entrtanrl housanrl [pweight=finlwt21], 
by (ref_yr);

sort ref_yr;

summ totpetanrl if ref_yr==1996;
gen scale_pet = totpetanrl/r(mean);

summ hcanrl if ref_yr==1996;
gen scale_hc = hcanrl/r(mean);

summ entrtanrl if ref_yr==1996; 
gen scale_entrt = entrtanrl/r(mean);

summ housanrl if ref_yr==1996;
gen scale_hous = housanrl/r(mean);
	
summ vetanrl if ref_yr==1996;
gen scale_vet = vetanrl/r(mean);
	
*Copy or export to excel file to produce chart;

*END CODE;
