/*
PET CARE PROJECT

*THIS DO FILE STARTS WITH THE RAW EXCEL FILES CONTAINING
*CPI DEFLATORS AND CLEANS THEM UP TO APPLY THEM TO 
*EXPENDITURE VALUES 
*/

clear all
set more off
#delimit;

cd "$raw\CPI";

import excel using long_series, firstrow;
rename Overall cpiu;
rename Year ref_yr;
keep ref_yr cpiu;
destring ref_yr cpiu, force replace;
drop if ref_yr==.;

*Normalize values with ref. to 2012;
local base=2012;
qui summ cpiu if ref_yr==`base';
replace cpiu=cpiu/r(mean);

saveold "$new\cpifile.dta", replace;

*END CODE;
